uuid: e0332563-5b32-4f27-95e1-4246d1596775
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.image_browser
    - field.field.node.varbase_heroslider_media.field_brief
    - field.field.node.varbase_heroslider_media.field_link
    - field.field.node.varbase_heroslider_media.field_media_single
    - node.type.varbase_heroslider_media
  module:
    - advanced_text_formatter
    - entity_browser
    - field_group
    - length_indicator
    - link
    - maxlength
third_party_settings:
  field_group:
    group_slide_info:
      children:
        - title
        - field_brief
        - field_link
      label: 'Slide information'
      region: content
      parent_name: group_information
      weight: 1
      format_type: tab
      format_settings:
        classes: ''
        id: ''
        formatter: closed
        description: ''
        required_fields: true
    group_information:
      children:
        - group_slide_info
        - group_media
      label: Information
      region: content
      parent_name: ''
      weight: 1
      format_type: tabs
      format_settings:
        classes: ''
        id: ''
        direction: horizontal
    group_media:
      children:
        - field_media_single
      label: Media
      region: content
      parent_name: group_information
      weight: 2
      format_type: tab
      format_settings:
        classes: ''
        id: ''
        formatter: closed
        description: ''
        required_fields: true
_core:
  default_config_hash: WurdEiBrHz4LWhCICr6YM9u6Pk_OM2Pi4imYi6Uq_a8
id: node.varbase_heroslider_media.default
targetEntityType: node
bundle: varbase_heroslider_media
mode: default
content:
  created:
    type: datetime_timestamp
    weight: 4
    region: content
    settings: {  }
    third_party_settings: {  }
  field_brief:
    type: string_textarea
    weight: 2
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings:
      length_indicator:
        indicator: false
        indicator_opt:
          optimin: 10
          optimax: 15
          tolerance: 5
      maxlength:
        maxlength_js: 300
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
        maxlength_js_enforce: false
        maxlength_js_truncate_html: false
      advanced_text_formatter:
        show_token_tree: 0
  field_link:
    type: link_default
    weight: 3
    region: content
    settings:
      placeholder_url: ''
      placeholder_title: ''
    third_party_settings: {  }
  field_media_single:
    type: entity_browser_entity_reference
    weight: 3
    region: content
    settings:
      entity_browser: image_browser
      field_widget_display: rendered_entity
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings:
        view_mode: field_preview
      selection_mode: selection_append
    third_party_settings: {  }
  langcode:
    type: language_select
    weight: 0
    region: content
    settings:
      include_locked: false
    third_party_settings: {  }
  status:
    type: boolean_checkbox
    weight: 6
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  title:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: 'Enter title here'
    third_party_settings:
      length_indicator:
        indicator: true
        indicator_opt:
          optimin: 15
          optimax: 50
          tolerance: 10
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  translation:
    weight: 7
    region: content
    settings: {  }
    third_party_settings: {  }
  uid:
    type: entity_reference_autocomplete
    weight: 3
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  url_redirects:
    weight: 5
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  path: true
  promote: true
  sticky: true
